<?php
Class Site extends CI_Controller{
    
     function __construct()
    {
        parent::__construct();
        $this->load->model('View_data');            
    }
    
    public function index()
    {
      $data['title'] = 'Giri Services';
	 // $docket = $this->input->post('ts_docket');
	  $data['contact'] = $this->View_data->getprofile();
      $data['slider'] = $this->View_data->getslider();
	  $data['gallery'] = $this->View_data->get_gallery();
	  $data['services'] = $this->View_data->get_service();
	  $data['about'] = $this->View_data->about();
	  $data['client'] = $this->View_data->get_client();
      $this->load->view('Frontend/index',$data);
    }
    public function about()
    {
      $data['title'] =  'Giri Services';
      $data['contact'] = $this->View_data->getprofile();
      $data['about'] = $this->View_data->about();
	  $data['services'] = $this->View_data->get_service();
	  $this->load->view('Frontend/about',$data);
    }
	 public function about_director()
    {
      $data['title'] =  'Giri Services';
      $data['contact'] = $this->View_data->getprofile();
      $data['about'] = $this->View_data->about();
	  $data['services'] = $this->View_data->get_service();
	  $data['director'] = $this->View_data->get_director();
      $this->load->view('Frontend/about_director',$data);
    }
	  public function team()
    {
      $data['title'] =  'Giri Services';
      $data['contact'] = $this->View_data->getprofile();
      $data['about'] = $this->View_data->about();
	  $data['services'] = $this->View_data->get_service();
	  $data['team'] = $this->View_data->get_team();
      $this->load->view('Frontend/team',$data);
    }
       public function quality()
    {
      $data['title'] =  'Giri Services';
      $data['contact'] = $this->View_data->getprofile();
      $data['about'] = $this->View_data->about();
	  $data['services'] = $this->View_data->get_service();
	  $data['quality'] = $this->View_data->get_quality();
	  $this->load->view('Frontend/quality',$data);
    }
	 public function service($s_name)
    {
      $s_name = str_replace("%20",' ',$s_name); 
	  $data['title'] =  'Giri Services';
      $data['contact'] = $this->View_data->getprofile();
      $data['about'] = $this->View_data->about();
	  $data['services'] = $this->View_data->get_service();
	 // $data['service'] = $this->View_data->getservice_id($s_id);
	  $data['service_name'] = $this->View_data->getservice_name($s_name);
	 //  print_r($data); die();
	  $this->load->view('Frontend/service',$data);
    }
	  public function client()
    {
      $data['title'] =  'Giri Services';
      $data['contact'] = $this->View_data->getprofile();
      $data['about'] = $this->View_data->about();
	  $data['services'] = $this->View_data->get_service();
	  $data['client'] = $this->View_data->get_client();
      $this->load->view('Frontend/client',$data);
    }


   
    public function gallery()
    {
      //$docket = $this->input->post('ts_docket');
     
	  $data['title'] = 'Giri Services';
	  $data['g_type'] = $this->View_data->get_gtype();
      $data['gallery'] = $this->View_data->get_gallery();
	  $data['contact'] = $this->View_data->getprofile();
  	  $data['about'] = $this->View_data->about();
	  $data['services'] = $this->View_data->get_service();
      $this->load->view('Frontend/gallery',$data);
    }
    
     public function contact()
   {
    $data['title'] = 'Giri Services';
    $data['contact'] = $this->View_data->getprofile();
	$data['about'] = $this->View_data->about();
	$data['services'] = $this->View_data->get_service();
    $this->load->view('Frontend/contact',$data);
   } 
}